টিম মেম্বার

GET https://mybotsy.com/api/team-members/{team_id}
curl --request GET \
--url 'https://mybotsy.com/api/team-members/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": [
        {
            "id": 1,
            "team_id": 1,
            "user_id": 1,
            "user_email": "hello@example.com",
            "access": {
                "read": true,
                "create": true,
                "update": true,
                "delete": false
            },
            "status": 1,
            "datetime": "2026-10-30 00:38:44",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": -1,
        "total_results": 1
    }
}
POST https://mybotsy.com/api/team-members
প্যারামিটার বিশদ বিবরণ বর্ণনা
team_id প্রয়োজনীয় ইন্টিজার -
user_email প্রয়োজনীয় স্ট্রিং -
access ঐচ্ছিক স্ট্রিং অ্যারে read.all



curl --request POST \
--url 'https://mybotsy.com/api/team-members' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'team_id=1' \
--form 'user_email=hello@example.com' \
{
    "data": {
        "id": 1,
        "team_id": 1,
        "user_id": 0,
        "user_email": "hello@example.com",
        "access": {
            "read": true,
            "create": true,
            "update": true,
            "delete": false
        },
        "status": 0,
        "last_datetime": null,
        "datetime": "2026-10-30 00:38:44"
    }
}
POST https://mybotsy.com/api/team-members/{team_member_id}
প্যারামিটার বিশদ বিবরণ বর্ণনা
access ঐচ্ছিক স্ট্রিং অ্যারে read.all



curl --request POST \
--url 'https://mybotsy.com/api/team-members/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'access[]=create' \
--form 'access[]=update' \
{
    "data": {
        "id": 1,
        "team_id": 1,
        "user_id": 1,
        "user_email": "hello@example.com",
        "access": {
            "read": true,
            "create": true,
            "update": true,
            "delete": false
        },
        "status": 1,
        "last_datetime": "2026-10-30 00:38:44",
        "datetime": "2026-10-30 00:38:44"
    }
}
DELETE https://mybotsy.com/api/team-members/{team_member_id}
curl --request DELETE \
--url 'https://mybotsy.com/api/team-members/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \